Package org.eclipse.mat.hprof

# Class SeekableStream.UnclosableInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
org.eclipse.mat.hprof.SeekableStream.UnclosableInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  `SeekableStream`

public static class SeekableStream.UnclosableInputStream extends FilterInputStream
Wraps an `InputStream` so that close does not propagate to the underlying stream.

## Constructor Summary

Constructors
Constructor
Description
`UnclosableInputStream(InputStream in)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`

### Methods inherited from class java.io.FilterInputStream

`available, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.io.InputStream

`nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnclosableInputStream

public UnclosableInputStream(InputStream in)

## Method Details

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `FilterInputStream`